Draft Polygon

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Polygon and the translation is 10% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Ellipse.svg Ellipse
Next: Rectangle Draft Rectangle.svg Arrow-right.svg

Draft Polygon.svg {{{Name/es}}}

Ubicación en el Menú
Croquis → Polígono
Entornos de trabajo
Croquis, Arquitectura
Atajo de teclado por defecto
P G
Introducido en versión
-
Ver también
None


Descripción

La herramienta polígono crea un polígono regular designando dos puntos, el centro y un segundo punto definiendo un radio. Toma el espesor de línea y color previamente establecidos en la pestaña de tareas.

Draft polygon example.jpg

Draft polygon example.jpg

El punto puede indicarse con el ratón en una vista 3D o introduciendo coordenadas desde el teclado.

Utilización

  1. Presiona el botón Draft Polygon.png Polígono, o presiona las teclas P y G
  2. Designa un primer punto en la vista 3D, o escribe unas coordenadas para indicar el centro
  3. Ajusta el número deseado de dados en el letrero de diálogo de opciones,
  4. Designa otro punto en la vista 3D, o escribe un valor de radio para definir el radio del polígono. El polígono será también una cara, aunque se muestre en modo alámbrico.

The polygon can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit.svg Draft Edit button. Then you can move the center and radius points to a new position.

The polygon is created inscribed in a circle of the specified radius; it can be switched to circumscribed after creation by changing its draw mode property.

The number of sides of the polygon can also be changed after creation by changing its faces number property.

Opciones

  • Paras introducir coordenadas manualmente, simplemente introduce los números y presiona ENTER entre cada componente X, Y y Z.
  • Presiona T o selecciona la casilla para activar/desactivar el botón Continuar. Si el modo continuar está activado, la herramienta polígono se reiniciará después de terminar permitiendo que dibujes otro sin presionar el botón de polígono de nuevo.
  • Presiona CTRL mientras dibujas para forzar el ajuste de tu punto a la ubicación de ajuste más cercana, independientemente de la distancia.
  • Presiona SHIFT mientras dibujas para restringir tu siguiente punto horizontal o verticalmente en relación al último punto indicado.
  • Presiona I o el botón Relleno para que el polígono se muestre como una cara. Esto simplemente establece las propiedades de vista del rectángulo como "líneas planas" o "alámbricas", de modo que se pueda cambiar después de forma sencilla.
  • Presiona ESC o el botón Cancelar para abortar el comando actual.
  • Los polígonos, cuando se encuentran en el modo de visualización "Líneas planas", pueden mostrar un patrón de sombreado, estableciendo su propiedad "Patrón" a continuación.

Propiedades

  • DATARadius: El radio de la circunferencia de definición
  • DATADraw Mode: Especifica si el polígono es inscrito o circunscrito a la circunferencia
  • DATA Chaflán tamaño: Especifica el tamaño de las esquinas achaflanadas
  • DATAFaces Number: El número de lados del polígono
  • DATAFillet Radius: Especifica el radio de curvatura a dar a los vértices del rectángulo
  • DATA Make Face: llena el polígono con una cara

 * VIEW Pattern: especifica un patrón de sombreado para rellenar el cable con  * VIEW Pattern Size: especifica el tamaño del patrón de sombreado

Data

  • DATARadius: specifies the radius of the circle that defines the polygon.
  • DATADraw Mode: specifies if the polygon is inscribed in a circle, or circumscribed around a circle.
  • DATAFaces Number: specifies the number of sides of the polygon.
  • DATAChamfer Size: specifies the size of the chamfers (straight segments) created on the corners of the polygon.
  • DATAFillet Radius: specifies the radius of the fillets (arc segments) created on the corners of the polygon.
  • DATAMake Face: specifies if the shape makes a face or not. If it is True a face is created, otherwise only the perimeter is considered part of the object.

View

  • VIEWPattern: specifies a Draft Pattern with which to fill the face of the polygon. This property only works if DATAMake Face is True, and if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.

Archivos de guión

La herramienta polígono puede utilizarse en macros y desde la consola de Python utilizando la siguiente función:

The Polygon tool can be used in macros and from the Python console by using the following function:

Polygon = makePolygon(nfaces, radius=1, inscribed=True, placement=None, face=None, support=None)
  • Crea un objeto polígono con el número de caras y el radio dados.
  • Siinscribed es False, el polígono es circunscrito a la circunferencia con el radio dado, en otro caso es inscrito.
  • Si face es True, la forma resultante se muestra como una cara, en otro caso como una estructura alámbrica.
  • Devuelve el objeto recién creado.

Ejemplo:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(4, radius=500)
Polygon2 = Draft.makePolygon(5, radius=750)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 90))

Polygon3 = Draft.makePolygon(6, radius=1450, placement=place3)
Arrow-left.svg Previous: Draft Ellipse.svg Ellipse
Next: Rectangle Draft Rectangle.svg Arrow-right.svg